// Variables
@colorBg: #ffffff;
@colorFg: #333333;
@colorFgLink: #888888;
@colorFgShy: #666;
@fontSize: 12px;

// Styles
body {
	background-color: @colorBg;
}

.sheet {
	box-sizing: border-box;
	max-width: 995px;
	margin: 0 auto;
}

html {
	height: 100%;
}
body {
	min-height: 100%;
	position: relative;
}

body, p {
	font-family: "Trebuchet MS", Verdana, sans-serif;
	font-size: @fontSize;
	line-height: 1.2;
	color: @colorFg;
}

a {
	text-decoration: none;
	color: @colorFgLink;
	border-bottom: 1px dotted #888;
}

button, input[type="submit"] {
    border-radius: 10px;
    padding: 4px 15px;
	margin: 8px;
    position: relative;
	cursor: pointer;

	box-shadow: inset 0px 1px 0px 0px #ffffff, 1px 1px 3px #aaa;
	-moz-box-shadow: inset 0px 1px 0px 0px #ffffff, 1px 1px 2px #aaa;
	-webkit-box-shadow: inset 0px 1px 0px 0px #ffffff, 1px 1px 2px #aaa;

    background-color: #ededed;
    border: 1px solid #dcdcdc;
    color: #777777;

    &:active {
        background-color: darken(#ededed, 10);
        border-color: darken(#dcdcdc, 40);
    }
}

button.special {
	background-color: darken(#96DD6B, 5);
	border: 1px solid darken(#69D74C, 5);
	color: white;
	font-weight: bold;
	font-size: 1.1em;

	&:active {
		background-color: darken(#96DD6B, 15);
		border-color: darken(#69D74C, 50);
	}
}

h1 {
	text-transform: uppercase;
}

h2 {
    font-size: 20px;
    margin: 5px 0 0 0;
    padding: 3px 0;
}

h3 {
	margin: 5px 0 0 0;
	padding: 3px 0;
}

.center {
	text-align: center;
}

#header-container-container {
	height: 155px;
	#header-container {
		position: fixed;
		width: 100%;

		#header {
			background-color: @colorBg;
			padding-top: 10px;

			> * {
				white-space: nowrap;
			}

			.logo {
				display: block;
				background-image: url('../img/logo.png');
				background-repeat: no-repeat;
				width: 60px;
				height: 60px;
				background-size: 60px 60px;
				margin: 0 auto;
				border: none;
			}

			h1 {
				margin-top: 3px;
				font-size: 20px;
				text-align: center;
				@media all and (max-width: 299px) {
					font-size: 19px;
				}
			}

			.tagline {
				display: block;
				text-align: center;
				color: @colorFgShy;
			}

			.nav {
				margin-top: 10px;
				border-bottom: 3px solid @colorFg;
				padding: 0 5px;
				> li {
					display: inline-block;
					text-align: center;

					a {
						height: 23px;
						width: 30px;
						padding-top: 7px;
						display: block;
						color: @colorFg;
						position: relative;
						bottom: -3px;
						border: 3px solid transparent;
						border-width: 3px 3px 0 3px;
						font-weight: bold;
						font-size: 14px;
						@media all and (max-width: 299px) {
							width: 22px;
						}
					}
					&.active a {
						border-color: @colorFg;
						background-color: @colorBg;
					}
				}
			}
		}
	}
}

#main {
	padding: 0 10px;
	margin-bottom: 15px;

	.events {
		> li {
			padding: 10px 0;

			.location {
				border-bottom: 1px solid @colorFg;
				margin-bottom: 25px;

				h2 {
					font-size: 20px;
					margin: 5px 0 0 0;
					padding: 3px 0;

					span, a {
						display: inline-block;
					}
					a {
						margin-right: 10px;
					}
				}
				.address {
				}
				.event {
					padding: 5px 0 5px 5px;
					margin: 5px 0;

					&:first-child {
						border-top: none;
					}

					.eventPlayer {
						box-sizing: border-box;
						float: left;
						width: 25px;
						height: 25px;
						padding-left: 2px;

						a {
							width: 20px;
							height: 20px;
							margin-top: -2px;
							display: block;
							border: 2px solid darken(@colorBg, 10);
							background-color: darken(@colorBg, 3);
							border-radius: 20px;

							.icon {
								display: block;
							}

							&.play {
								.icon {
									margin: 5px 7px;
									width: 0;
									height: 0;
									border: 5px solid transparent;
									border-left-width: 8px;
									border-left-color: @colorFg;
								}
							}
							&.pause {
								border-color: @colorFg;
								background-color: @colorFg;

								.icon {
									margin: 6px 6px;
									width: 2px;
									height: 8px;
									border-left: 3px solid @colorBg;
									border-right: 3px solid @colorBg;
								}
							}
						}

					}
					.eventInfo {
						margin-left: 30px;
						padding-top: 3px;

						.time {
							display: inline-block;
							float: left;
							font-weight: bold;
							margin-right: 5px;
						}
						.description {
							font-size: @fontSize;
							margin-left: 95px;
							font-weight: bold;

							.artists {
								color: @colorFgLink;
							}
							.style {
								font-style: italic;
							}
						}
					}
				}
			}
		}
	}
}

#footer-container {
	position: absolute;
	bottom: 0;
	width: 100%;
	#footer {
		padding: 10px;
		margin-top: 30px;
		text-align: right;

		.kulturkick-logo {
			background-image: url(/img/kulturkick-logo.png);
			height: 20px;
			width: 14px;
			margin-left: 2px;
			margin-top: -5px;
			border: none;
			display: block;
			float: right;
		}
	}
}

#compilation-redeem {
	margin-bottom: 50px;
}

.qr {
    h3 {
        font-size: 15px;
        margin: 5px 0 0 0;
    }
	.app-ad {
		img.app {
			height: 110px;
			width: 73px;
			float: left;
			padding-right: 10px;
		}
	}
	.app-download {
		margin: 20px 0 50px 83px;
	}
    .game {
        .trophy {
            border: 1px solid black;
            border-radius: 10px;
            margin: 0 2px;
            padding: 3px;
        }

    }
}

// jquery.tabs
.tabs-content > * {
	display: none;
}
.tabs-content > *:first-child {
	display: block;
}

